/**
Theme Name: Astra Child
Author: Odile Georgallides
Author URI: https://og-s.ch/
Description: 
Version: 1.0.0
Text Domain: astra-child
Template: astra
*/




.radius	img {border-radius:20px}
body:not(.ast-normal-title-enabled) .site .site-content #primary,
body.home .site .site-content #primary {
  margin-top: 0px !important;
}

/*
body:not(.ast-normal-title-enabled):not(.home) .site .site-content #primary {
  margin-top: 0px !important;
}*/



a,
button,
input[type="submit"],
input[type="button"],
input[type="reset"],
[role="button"] {
    cursor: pointer;
}




/******************************************************/
/**************         HEADER - MENU    **************/
/******************************************************/
/*header [data-wpml="language-item"]:first-of-type {
  margin-top: 0px !important;
}*/
.main-header-menu .sub-menu {
  background-color: var(--ast-global-color-0);
}
.ast-header-break-point .ast-mobile-menu-buttons-minimal.menu-toggle,
.menu-toggle {color: var(--ast-global-color-4) !important}
.ast-mobile-popup-content {
	position: absolute;
	top: 50%;
    left: 50%;
	width:100%;
	transform:translate(-50%, -50%);  
	vertical-align:middle;}
.sticky {
	position: fixed;
    top:0px;
    left:0;
    width: 100%;
    -webkit-box-shadow: 0px 5px 10px 1px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 5px 10px 1px rgba(0,0,0,0.25);
    box-shadow: 0px 5px 10px 1px rgba(0,0,0,0.25);
}
.custom-logo-link {
  display: flex;
  align-items: center;
  align-items: center;
}
.logo-main,
.logo-sticky {
  transition: opacity 0.25s ease;
}
.logo-sticky {
  display: none;
  width:220px !important;
  padding-left:20px;
  padding-top:10px;
  padding-bottom:10px;
  filter: brightness(0) saturate(100%) invert(31%) sepia(11%) saturate(655%) hue-rotate(176deg) brightness(92%) contrast(88%) !important;

}
.sticky .logo-main {
    display: none;
    opacity: 0;
}
@media (min-width: 1024px)  {
	.logo-main {
		padding-top:5px; 
		padding-bottom:5px;
		/*margin-bottom:-25px*/
	}
  .sticky .logo-sticky {
	   display: block;
	   opacity: 1;	   
	}
}
/******************************************************/
/**************     FIN HEADER - MENU    **************/
/******************************************************/


 




/*************************************************/
/**************         AGENDA      **************/
/*************************************************/
.gform-theme--foundation .gf_page_steps {
}
.gform-theme--framework .gf_step {
}
button .gpb-booking-time-picker__slot,
.gpb-booking-time-picker__slot-time{
	color:black
}
.gform_next_button:hover,
.input[type="submit"]:hover,
.gform_button[type="submit"]:hover  {
    background-color: var(--ast-global-color-2) !important;
    color: white !important;
}


/* widget réservation calendrier*/
.gform_wrapper button,
.gform_wrapper .gfield_button {
    cursor: pointer;
}
.gpb-booking-time-picker .rdp-root {		/* Calendrier complet */
}
.gpb-booking-time-picker .gpb-day--available .rdp-day_button {		/* Jour disponible vert*/
    background: #2ecc71;
    color: #fff;
}
.gpb-booking-time-picker .gpb-day--available .rdp-day_button:hover {		
   background-color: var(--ast-global-color-3);
   border-color: #2ecc71;
}
.gpb-booking-time-picker .gpb-day--booked .rdp-day_button {  /* Jour réservé rouge */
    background: #e74c3c;
    color: #fff;
}
.gpb-booking-time-picker .gpb-day--unavailable .rdp-day_button {   /* Jour indisponible rouge*/
    background: #e74c3c;
    color: #fff;
}
.gpb-booking-time-picker .rdp-day_selected .rdp-day_button {			/* Jour sélectionné */
    background: #000;
    color: #fff;
}


/* widget réservation heures */

.gpb-booking-time-picker__slot:not(.gpb-booking-time-picker__slot--selected):not(.gpb-booking-time-picker__slot--unavailable)  {	
	background: #2ecc71;	/* vert*/
	color: #fff;
}
.gpb-booking-time-picker__slot:not(.gpb-booking-time-picker__slot--selected):not(.gpb-booking-time-picker__slot--unavailable):hover,
.gpb-booking-time-picker__slot.gpb-booking-time-picker__slot--selected {		
   background-color: var(--ast-global-color-3); /* bleu foncé */
}
.gpb-booking-time-picker__slot .gpb-booking-time-picker__slot-time    {
    color: #fff;
}


.gpb-booking-time-picker__slot--booked,						/*  réservé rouge */
.gpb-booking-time-picker__slot--unavailable,
.gpb-booking-time-picker__slot--unavailable:not(.gpb-booking-time-picker__slot--selected)     {
    background: #e74c3c;
    color: #fff;
}
.gpb-booking-time-picker__slot--booked .gpb-booking-time-picker__slot-time,					
.gpb-booking-time-picker__slot--unavailable .gpb-booking-time-picker__slot-time,
.gpb-booking-time-picker__slot--unavailable:not(.gpb-booking-time-picker__slot--selected) .gpb-booking-time-picker__slot-time    {
    color: #fff;
}




/*************************************************/
/**************      FIN AGENDA     **************/
/*************************************************/








/*************************************************/
/**************            FONT     **************/
/*************************************************/
.entry-content p:not(.uagb-ifb-desc, .uagb-desc-text, .uagb-timeline-desc-content, .has-text-align-center, .has-text-align-left, .has-text-align-right) {
    text-align: justify;
}

/*
h1:not(.has-text-align-center):not(.uagb-heading-text)  {
	position: relative;
	display: inline-block;
	padding-bottom: 16px; 
}
h1:not(.has-text-align-center):not(.uagb-heading-text)::after  {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 60%;     
	height: 4px;    
	background-color: var(--ast-global-color-6);
}


h2:not(.has-text-align-center):not(.uagb-heading-text)  {
	position: relative;
	display: inline-block;
	padding-bottom: 16px; 
}
h2:not(.has-text-align-center):not(.uagb-heading-text)::after  {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 60%;     
	height: 4px;    
	background-color: var(--ast-global-color-6);
}
*/

h2 {
  /*font-style: italic !important;*/
}
h2[style*="text-decoration:underline"],
.underline-title h2 {
  position: relative;
  width: fit-content !important;
  text-decoration: none !important;
  line-height:1.7em !important;
}
h2.has-text-align-center[style*="text-decoration:underline"] {
	 margin-left:auto; margin-right:auto; 
}
.underline-title h2 {
	margin-bottom:20px !important
}
h2[style*="text-decoration:underline"]::after,
.underline-title h2::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -0.15em; /* descend réellement sous le texte */
  height: 0.08em; /* très fin */
  /*or
  background: linear-gradient(
    90deg,
    rgba(255, 220, 90, 0) 0%,
    rgba(255, 220, 90, 0.5) 15%,
    rgba(200, 150, 40, 0.9) 50%,
    rgba(255, 220, 90, 0.5) 85%,
    rgba(255, 220, 90, 0) 100%
  );*/
  background: linear-gradient(
	  90deg,
	  rgba(210, 190, 150, 0) 0%,
	  rgba(186, 165, 125, 0.45) 15%,
	  rgba(145, 120, 85, 0.85) 50%,
	  rgba(186, 165, 125, 0.45) 85%,
	  rgba(210, 190, 150, 0) 100%
	);
}
/*************************************************/
/**************       FIN  FONT     **************/
/*************************************************/





@media (max-width: 480px) {
	.entry-content > .wp-block-cover {
		min-height:120px;
		padding-top:10px;
		padding-bottom:10px	}	
	.entry-content > .wp-block-cover h1 {margin-bottom:40px;}
	h3.has-large-font-size {font-size:28px !important}
}

@media (min-width: 480px) and (max-width: 768px) {
	.entry-content > .wp-block-cover {
		min-height:120px;
		padding-top:10px;
		padding-bottom:10px	}	
	.entry-content > .wp-block-cover h1 {margin-bottom:40px;}
	h3.has-large-font-size {font-size:28px !important}
}

@media (min-width: 768px) and (max-width: 992px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}	
}

@media (min-width: 992px) and (max-width: 1024px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
}

@media (min-width: 1024px) and (max-width: 1280px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
	.ast-site-identity {
	  padding: 0 0;
	}
	.gform-theme--foundation .gf_page_steps {
	  justify-content: center;
	  margin-bottom:40px
	}
}

@media (min-width: 1280px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
	.ast-site-identity {
	  padding: 0 0;
	}
	.gform-theme--foundation .gf_page_steps {
	  justify-content: center;
	  margin-bottom:40px
	}
	/*.ast-header-break-point #masthead .ast-mobile-header-wrap .ast-primary-header-bar {
		width: var(--wp--custom--ast-content-width-size); 
		max-width: var(--wp--custom--ast-content-width-size); 
	}*/
}

